Bug 1313634 - [RFE] Warning message while pulp-puppet-module-builder overwrites existing module files.
[RFE] Warning message while pulp-puppet-module-builder overwrites existing mo...
Status: CLOSED ERRATA
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Pulp (Show other bugs)
6.1.7
x86_64 Linux
medium Severity medium (vote)
: GA
: --
Assigned To: satellite6-bugs
Lukas Pramuk
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 01:30 EST by Kumudini Shirsale
Modified: 2018-05-25 11:21 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-02-21 07:34:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Pulp Redmine 1853 Low CLOSED - CURRENTRELEASE pulp-puppet-module-builder should not overwrite existing module files 2017-01-16 16:03 EST

  None (edit)
Comment 5 pulp-infra@redhat.com 2016-11-21 13:54:47 EST
The Pulp upstream bug status is at NEW. Updating the external tracker on this bug.
Comment 6 pulp-infra@redhat.com 2016-11-21 13:54:51 EST
The Pulp upstream bug priority is at Low. Updating the external tracker on this bug.
Comment 7 pulp-infra@redhat.com 2016-12-12 15:02:24 EST
The Pulp upstream bug status is at ASSIGNED. Updating the external tracker on this bug.
Comment 8 pulp-infra@redhat.com 2016-12-13 10:18:22 EST
The Pulp upstream bug status is at POST. Updating the external tracker on this bug.
Comment 9 pulp-infra@redhat.com 2016-12-21 08:32:34 EST
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.
Comment 10 pulp-infra@redhat.com 2016-12-21 09:02:25 EST
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.
Comment 11 pulp-infra@redhat.com 2017-01-09 21:03:25 EST
The Pulp upstream bug status is at ON_QA. Updating the external tracker on this bug.
Comment 12 pulp-infra@redhat.com 2017-01-13 15:32:58 EST
The Pulp upstream bug status is at VERIFIED. Updating the external tracker on this bug.
Comment 13 pulp-infra@redhat.com 2017-01-16 16:03:42 EST
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.
Comment 14 Lukas Pramuk 2017-12-06 14:13:17 EST
VERIFIED.

@satellite-6.3.0-22.0.el7sat.noarch
pulp-puppet-tools-2.13.4-3.el7sat.noarch

by the manual reproducer described in comment#0:

1. # mkdir -p /tmp/example-output

2. # cd /tmp/

3. # puppet module generate support-example
We need to create a metadata.json file for this module.  Please answer the
following questions; if the question is not applicable to this module, feel free
to leave it blank.

Puppet uses Semantic Versioning (semver.org) to version modules.
What version is this module?  [0.1.0]
--> 

Who wrote this module?  [support]
--> 

What license does this module code fall under?  [Apache 2.0]
--> 

How would you describe this module in a single sentence?
--> 

Where is this module's source code repository?
--> 

Where can others go to learn more about this module?
--> 

Where can others go to file issues about this module?
--> 

----------------------------------------
{
  "name": "support-example",
  "version": "0.1.0",
  "author": "support",
  "summary": null,
  "license": "Apache 2.0",
  "source": "",
  "project_page": null,
  "issues_url": null,
  "dependencies": [
    {"name":"puppetlabs-stdlib","version_requirement":">= 1.0.0"}
  ]
}
----------------------------------------

About to generate this metadata; continue? [n/Y]
--> 

Notice: Generating module at /tmp/support-example...
Notice: Populating templates...
Finished; module generated in support-example.
support-example/Gemfile
support-example/Rakefile
support-example/manifests
support-example/manifests/init.pp
support-example/spec
support-example/spec/classes
support-example/spec/classes/init_spec.rb
support-example/spec/spec_helper.rb
support-example/tests
support-example/tests/init.pp
support-example/README.md
support-example/metadata.json

4. # cd /tmp/support-example

5. # pulp-puppet-module-builder --output-dir=/tmp/example-output
cd /tmp/support-example
git status
find . -name Modulefile -o -name metadata.json
puppet module build .
mkdir -p /tmp/example-output
cp ./pkg/support-example-0.1.0.tar.gz /tmp/example-output
cd /tmp/example-output
cd /tmp/support-example
cd /tmp/support-example

6. # sha1sum /tmp/example-output/support-example-0.1.0.tar.gz
ddc688bd04b2da02299b815d8860e1131c94684c  /tmp/example-output/support-example-0.1.0.tar.gz
# vim  /tmp/support-example/manifests/init.pp  (added a new line/space)

7. # cd /tmp/support-example

8. # pulp-puppet-module-builder --output-dir=/tmp/example-output
cd /tmp/support-example
git status
find . -name Modulefile -o -name metadata.json
puppet module build .
mkdir -p /tmp/example-output
Skipping support-example-0.1.0.tar.gz as the file exists
cd /tmp/example-output
cd /tmp/support-example
cd /tmp/support-example

9. # sha1sum /tmp/example-output/support-example-0.1.0.tar.gz
ddc688bd04b2da02299b815d8860e1131c94684c  /tmp/example-output/support-example-0.1.0.tar.gz


>>> module remained untouched - if there the module exists already in a location then the tool skips overwriting it
Comment 17 errata-xmlrpc 2018-02-21 07:34:46 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336

Note You need to log in before you can comment on or make changes to this bug.